Bug 202784 - ntp broadcastclient broken
ntp broadcastclient broken
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: ntp (Show other bugs)
4.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Miroslav Lichvar
Brian Brock
https://ntp.isc.org/bugs/show_bug.cgi...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-08-16 09:57 EDT by Thomas Brown
Modified: 2007-11-16 20:14 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-08-18 03:00:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Thomas Brown 2006-08-16 09:57:58 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.8.0.6) Gecko/20060728 Firefox/1.5.0.6

Description of problem:
The included 'ntpd' 4.2.0a@1.1190-r in RHEL 4.3 will not accept NTP broadcast packets via the "broadcastclient" directive in /etc/ntp.conf.  There is a documented bug in ntpd 4.2.0 to this effect, resolved way back in 2004:

https://ntp.isc.org/bugs/show_bug.cgi?id=267

Any chance someone can include a more recent version of 'ntpd' in the next RHEL RPM update distribution?  The current stable version is 4.2.2p3, 8/5/2006.

Version-Release number of selected component (if applicable):
ntp-4.2.0.a.20040617-4

How reproducible:
Always


Steps to Reproduce:
1. Place server on subnet where NTP broadcast messages are being sent.
2. Add 'broadcastclient' directive to /etc/ntp.conf
3. Restart ntpd service

Actual Results:


Expected Results:


Additional info:
Comment 1 Miroslav Lichvar 2006-08-16 12:05:50 EDT
The broadcast client should be working fine. Can you please attach /etc/ntp.conf
and /etc/sysconfig/ntpd ? It is usually a problem in crypto setup or access
control if it doesn't work.
Comment 2 Thomas Brown 2006-08-16 12:42:12 EDT
Thanks for the quick response.  I paired down the /etc/ntp.conf to the following:

server 127.127.1.0
fudge 127.127.1.0 stratum 10
driftfile /var/lib/ntp/drift
broadcastclient

After I restart ntpd, this is the only NTP traffic I see on the subnet:

# tcpdump -v port 123
tcpdump: listening on eth0, link-type EN10MB (Ethernet), capture size 96 bytes
12:48:19.891620 IP (tos 0xc0, ttl   1, id 0, offset 0, flags [none], proto 17,
length: 76) gw-twccs.example.net.ntp > 255.255.255.255.ntp: NTPv3, length 48
        Broadcast, Leap indicator:  (0), Stratum 3, poll 6s, precision -18
        Root Delay: 0.026214, Root dispersion: 0.148101, Reference-ID:
ns3.oit.unc.edu
          Reference Timestamp:  3364733873.830594114 (2006/08/16 12:17:53)
          Originator Timestamp: 0.000000000
          Receive Timestamp:    0.000000000
          Transmit Timestamp:   3364735699.902393865 (2006/08/16 12:48:19)
            Originator - Receive Timestamp:  0.000000000
            Originator - Transmit Timestamp: 3364735699.902393865 (2006/08/16
12:48:19)

12:49:23.894683 IP (tos 0xc0, ttl   1, id 0, offset 0, flags [none], proto 17,
length: 76) gw-twccs.example.net.ntp > 255.255.255.255.ntp: NTPv3, length 48
        Broadcast, Leap indicator:  (0), Stratum 3, poll 6s, precision -18
        Root Delay: 0.026214, Root dispersion: 0.148101, Reference-ID:
ns3.oit.unc.edu
          Reference Timestamp:  3364733873.830594114 (2006/08/16 12:17:53)
          Originator Timestamp: 0.000000000
          Receive Timestamp:    0.000000000
          Transmit Timestamp:   3364735763.905355617 (2006/08/16 12:49:23)
            Originator - Receive Timestamp:  0.000000000
            Originator - Transmit Timestamp: 3364735763.905355617 (2006/08/16
12:49:23)


But no matter how long I wait, the ntpd server doesn't seem to pick up the
broadcast:

# ntpq -p
     remote           refid      st t when poll reach   delay   offset  jitter
==============================================================================
 LOCAL(0)        LOCAL(0)        10 l   20   64  377    0.000    0.000   0.001

Other Solaris 8 clients on the network bring it up just fine--it's only the RHEL
4.3 boxes that seem to have the problem.

Thanks!
Comment 3 Miroslav Lichvar 2006-08-17 03:34:00 EDT
Ok, you need to add -A option to /etc/sysconfig/ntpd or add "disable auth" to
/etc/ntp.conf. Or setup the crypto stuff, see authopt.html in ntp documentation.
Comment 4 Thomas Brown 2006-08-17 13:25:50 EDT
You're absolutely correct--adding "disable auth" to /etc/ntp.conf solved the
problem for our RHEL 4.3 boxes.  So the compile-time defaults for the RHEL 4.3
version of ntpd must be a bit different from our Solaris and other Linux versions.

Thanks again for your time and quick response!

Note You need to log in before you can comment on or make changes to this bug.